com.aliyun.svideosdk.editor.draft

## Class AliyunDraft

- java.lang.Object
- - com.aliyun.svideosdk.editor.draft.AliyunDraft

-     public class AliyunDraft
      extends java.lang.Object

  草稿 v3.23.0 新增

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliyunDraft()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Config` | `getConfig()` 获取草稿基本配置
    `java.lang.String` | `getCoverPath()` 获取草稿封面地址
    `long` | `getDuration()` 获取草稿时长
    `java.lang.String` | `getEditorProjectUri()` 获取草稿工程配置地址
    `long` | `getFileSize()` 获取草稿文件大小
    `java.lang.String` | `getId()` 获取草稿ID
    `java.lang.String` | `getName()` 获取草稿名称
    `java.lang.String` | `getProjectId()` 获取工程ID
    `long` | `getUpdateTime()` 获取草稿最后更新时间
    `protected void` | `setConfig(Config config)` 设置草稿基本配置
    `protected void` | `setCoverPath(java.lang.String coverPath)` 设置草稿封面地址
    `protected void` | `setDuration(long duration)` 设置草稿时长
    `protected void` | `setEditorProjectUri(java.lang.String editorProjectUri)` 设置草稿工程配置地址
    `protected void` | `setFileSize(long fileSize)` 设置草稿文件大小
    `protected void` | `setId(java.lang.String id)` 设置草稿ID
    `void` | `setName(java.lang.String name)` 设置草稿名称
    `void` | `setProjectId(java.lang.String projectId)` 设置工程ID
    `protected void` | `setUpdateTime(long updateTime)` 设置草稿最后更新时间

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AliyunDraft

          public AliyunDraft()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      获取草稿ID
      Returns:
        草稿ID

    - #### setId

          protected void setId(java.lang.String id)

      设置草稿ID
      Parameters:
        `id` - 草稿ID

    - #### getProjectId

          public java.lang.String getProjectId()

      获取工程ID
      Returns:
        工程ID

    - #### setProjectId

          public void setProjectId(java.lang.String projectId)

      设置工程ID
      Parameters:
        `projectId` - 工程ID

    - #### getName

          public java.lang.String getName()

      获取草稿名称
      Returns:
        草稿名称

    - #### setName

          public void setName(java.lang.String name)

      设置草稿名称
      Parameters:
        `name` - 草稿名称

    - #### getCoverPath

          public java.lang.String getCoverPath()

      获取草稿封面地址
      Returns:
        草稿封面地址

    - #### setCoverPath

          protected void setCoverPath(java.lang.String coverPath)

      设置草稿封面地址
      Parameters:
        `coverPath` - 草稿封面地址

    - #### getFileSize

          public long getFileSize()

      获取草稿文件大小
      Returns:
        草稿文件大小

    - #### setFileSize

          protected void setFileSize(long fileSize)

      设置草稿文件大小
      Parameters:
        `fileSize` -

    - #### getUpdateTime

          public long getUpdateTime()

      获取草稿最后更新时间
      Returns:
        草稿最后更新时间

    - #### setUpdateTime

          protected void setUpdateTime(long updateTime)

      设置草稿最后更新时间
      Parameters:
        `updateTime` - 草稿最后更新时间

    - #### getDuration

          public long getDuration()

      获取草稿时长
      Returns:
        草稿时长

    - #### setDuration

          protected void setDuration(long duration)

      设置草稿时长
      Parameters:
        `duration` - 草稿时长

    - #### getEditorProjectUri

          public java.lang.String getEditorProjectUri()

      获取草稿工程配置地址
      Returns:
        草稿工程配置地址

    - #### setEditorProjectUri

          protected void setEditorProjectUri(java.lang.String editorProjectUri)

      设置草稿工程配置地址
      Parameters:
        `editorProjectUri` - 草稿工程配置地址

    - #### getConfig

          public Config getConfig()

      获取草稿基本配置
      Returns:
        草稿基本配置

    - #### setConfig

          protected void setConfig(Config config)

      设置草稿基本配置
      Parameters:
        `config` - 草稿基本配置